Bug 641144 - lua 5.1.4: patch lua-5.1.4-autotoolize.patch is really for lua version 5.1.3
Summary: lua 5.1.4: patch lua-5.1.4-autotoolize.patch is really for lua version 5.1.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lua
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-07 20:41 UTC by Jose Pedro Oliveira
Modified: 2011-04-06 22:36 UTC (History)
3 users (show)

Fixed In Version: lua-5.1.4-7.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-06 22:36:58 UTC


Attachments (Terms of Use)
Patch updateed to lua version 5.1.4 (314.37 KB, patch)
2010-10-07 20:43 UTC, Jose Pedro Oliveira
no flags Details | Diff
Patch updated to lua version 5.1.4 (1.37 MB, patch)
2010-10-07 21:00 UTC, Jose Pedro Oliveira
no flags Details | Diff

Description Jose Pedro Oliveira 2010-10-07 20:41:23 UTC
Description of problem:
The patch lua-5.1.4-autotoolize.patch has lua version 5.1.3 hardcoded in several places (namely on configure.ac and etc/lua.pc.in).

This affects all lua-5.1.4 RPMS for F12 and above, and EPEL5 and EL6.

Version-Release number of selected component (if applicable):
F12+,EL5: lua-5.1.4-4;  EL6: lua-5.1.4-4.1


Expected results:
Patch updated to version 5.1.4

Additional info:
This is a new ticket based on comments 18 and 19 of bug #629437
(https://bugzilla.redhat.com/show_bug.cgi?id=629437 )

Comment 1 Jose Pedro Oliveira 2010-10-07 20:43:45 UTC
Created attachment 452193 [details]
Patch updateed to lua version  5.1.4

Comment 2 Jose Pedro Oliveira 2010-10-07 20:50:24 UTC
The attached patch was created on a CentOS 5.5 x86_64 system
with autoconf-2.59-12 installed (similar version to the one used
TO produce the previous patch)


Steps to produce the new patch:

 * tar xf lua-5.1.4.tar.gz
 * mv lua-5.1.4 lua-5.1.4-autotoolize
 * tar xf lua-5.1.4.tar.gz
 * cd lua-5.1.4-autotoolize
 * patch -p1 < ../lua-5.1.4-autotoolize.patch     # the current one (5.1.3)
 * edited configure.ac (line 30994: s/5.1.3/5.1.4/)
 * edited etc/lua.pc.in (line 2: s/5.1.3/@VERSION@/)
 * bash autogen.sh
 * rm -rf autom4te.cache/
 * cd ..
 * diff -urN lua-5.1.4/ lua-5.1.4-autotoolize/ > lua-5.1.4-autotoolize-really-5.1.4.patch


Correction: comments 16, 17, and 18 of bug #629437.

Comment 3 Jose Pedro Oliveira 2010-10-07 21:00:36 UTC
Created attachment 452197 [details]
Patch updated to lua version  5.1.4

The previous patch was gziped (and bugzilla didn't handle it correctly)

Comment 4 Jose Pedro Oliveira 2010-10-07 23:01:44 UTC
BTW there is also an upstream errata for Lua 5.1.4:

 * http://www.lua.org/ftp/patch-lua-5.1.4-2

Comment 5 Jose Pedro Oliveira 2011-01-28 19:40:39 UTC
ping

Comment 6 Tim Niemueller 2011-01-29 10:40:57 UTC
Thanks for the ping. I had just added another patch yesterday. I have now modified the autotoolize patch (there is an easier way than what you proposed). Besides the pkgconfig file this was only cosmetic. Updates coming soon.

Comment 7 Jose Pedro Oliveira 2011-01-29 16:30:19 UTC
(In reply to comment #6)
> Thanks for the ping. I had just added another patch yesterday.

I noticed lua-5.1.4-6.fc15 being built in koji ;)

>  I have now
> modified the autotoolize patch (there is an easier way than what you proposed).
> Besides the pkgconfig file this was only cosmetic. Updates coming soon.

And thanks for the lua-5.1.4-7 update for f13, f14, and f15.

/jpo

Comment 8 Jose Pedro Oliveira 2011-02-21 18:47:12 UTC
(In reply to comment #7)
...
> >  I have now
> > modified the autotoolize patch (there is an easier way than what you proposed).
> > Besides the pkgconfig file this was only cosmetic. Updates coming soon.
> 
> And thanks for the lua-5.1.4-7 update for f13, f14, and f15.

Tim,

The F13 and F14 builds didn't seem to have been pushed to koji.
Could you check it?

tia,
jpo

Comment 9 Jose Pedro Oliveira 2011-02-21 18:48:35 UTC
Oops!
$comment8 ~= s/koji/bodhi/

Comment 10 Fedora Update System 2011-02-21 20:28:26 UTC
lua-5.1.4-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/lua-5.1.4-7.fc13

Comment 11 Fedora Update System 2011-02-21 20:30:45 UTC
lua-5.1.4-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lua-5.1.4-7.fc14

Comment 12 Fedora Update System 2011-02-22 04:52:56 UTC
lua-5.1.4-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lua'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lua-5.1.4-7.fc14

Comment 13 Fedora Update System 2011-04-06 22:36:53 UTC
lua-5.1.4-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.